<?php

/*
 * This file is part of PHPExifTool.
 *
 * (c) 2012 Romain Neutron <imprec@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace PHPExiftool\Driver\Tag\FLIR;

use JMS\Serializer\Annotation\ExclusionPolicy;
use PHPExiftool\Driver\AbstractTag;

/**
 * @ExclusionPolicy("all")
 */
class PeakSpectralSensitivity extends AbstractTag
{

    protected $Id = 'PeakSpectralSensitivity';

    protected $Name = 'PeakSpectralSensitivity';

    protected $FullName = 'Composite';

    protected $GroupName = 'FLIR';

    protected $g0 = 'Composite';

    protected $g1 = 'Composite';

    protected $g2 = 'Other';

    protected $Type = '?';

    protected $Writable = false;

    protected $Description = 'Peak Spectral Sensitivity';

    protected $local_g1 = 'FLIR';

    protected $local_g2 = 'Camera';

}
